Announcement Announcement Module
Collapse
No announcement yet.
Spring AMQP for Java 1.0 RC3 is now available Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring AMQP for Java 1.0 RC3 is now available

    Spring AMQP for Java 1.0 RC3 is now available

    We are pleased to announce that Spring AMQP for Java 1.0 RC3 is now available.

    For details about the changes since R31, please review the Release Notes here:
    https://jira.springsource.org/browse...rversion/12345

    This release was prompted by lots of good feedback on RC2, and while none of the resolved issues feel like big changes, they will result in a significantly improved experience. There and more improvements to re-connection support, and some issues with RPC against polyglot clients were resolved. There *are* some breaking changes as far as the API for MessageProperties goes, so please upgrade as soon as possible.

    If you are using Spring Integration AMQP as well, you should also upgrade that as well. We are considering a 2.0.* release of that module to make dependency management against Spring 3.0 easier. In the meantime, the most recent snapshots of org.springframework.integration:spring-integration-amqp are still 2.1.0.BUILD-SNAPSHOT, and they depend on Spring 3.1.

    Since this is really intended to be our final pre-GA release, please take some time to try it out. In fact if you have a chance, really try to push the limits so that we know we're ready for prime time.

    Thanks!
    The Spring AMQP Team

    Mark Fisher

  • #2
    +1 for a 2.0.* release for use with Spring 3.0.

    I am not sure exactly how it happened, but I have been working with Spring 3.0 with the spring-integration-amqp 2.1.0.BUILD-SNAPSHOT for several months now and things have worked fine until this past week or so. I think some of the recent changes have started to cause me some problems but I have not been able to pin down the exact source of the incompatibility. I will attempt to migrate to a recent version of the Spring 3.1 to see if that resolves the problem.

    Maybe it should have never worked against Spring 3.0, but I never seemed to have any problems until recently.

    Comment


    • #3
      Thanks for the feedback. We are *most likely* going to modify Spring Integration 2.1 so that it's minimal version is Spring 3.0.5/6 actually. So, you might not need to change anything - at least not beyond the short term. Stay tuned - we can definitely use more feedback as we make those changes!

      Thanks,
      Mark

      Comment


      • #4
        Does the 2.1.0-SNAPSHOT depend on spring-integration 2.1.x and spring 3.1.x in the pom only?

        In other words, while it may not be advisable and until you guys release a 2.0.x version, will I get any compilation errors if I download the latest spring-integration-amqp snapshot and modify the pom to point to the latest spring 3.0.x and spring-integration 2.0.x release to upload to my local nexus repo?

        Justin

        Comment


        • #5
          Justin, I have just completed the changes so that Spring Integration 2.1 now has Spring 3.0.5.RELEASE as the minimum dependency (in build.gradle as well as the generated POMs). That should be available in the next 2.1.0.BUILD-SNAPSHOT, and you can use that spring-integration-amqp JAR with Spring 3.0.5. Please try it out and let us know how it goes.

          Thanks,
          Mark

          Comment


          • #6
            Thanks Mark Although I seemed to have successfully migrated my project to 3.1 without much problem, other than fiddling a bit to get the new configuration profile stuff working with our dev / production configurations.

            I may have to at some point move back to Spring 3.0.x, depending on the timing of the 3.1 release and our deadlines.

            Comment


            • #7
              Thanks Mark for moving so fast on this. I'll try it out and report back.

              Justin

              Comment


              • #8
                Hey Mark,

                I just looked at http://git.springsource.org/spring-i...n/trees/master and it doesn't appear as if spring version has changed. In fact, the last commit I see is from the 11th.

                Justin

                Comment


                • #9
                  Justin, we moved the primary repo to GitHub: https://github.com/SpringSource/spring-integration

                  I will most likely remove all but a README with a pointer on the git.springsource.org repo.

                  Comment

                  Working...
                  X